# Changelog

## [v1.21.0](https://github.com/netdata/netdata/tree/v1.21.0) (2020-04-06)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.20.0...v1.21.0)

**Merged pull requests:**

- dashboard v0.4.12: [\#8599](https://github.com/netdata/netdata/pull/8599) ([jacekkolasa](https://github.com/jacekkolasa))
- Change all https://app.netdata.cloud URLs to https://netdata.cloud [\#8598](https://github.com/netdata/netdata/pull/8598) ([mfundul](https://github.com/mfundul))
- Fixes Ubuntu build with both libcap-dev and libcapng [\#8596](https://github.com/netdata/netdata/pull/8596) ([underhood](https://github.com/underhood))
- Correctly fixed RPM package builds on Fedora. [\#8595](https://github.com/netdata/netdata/pull/8595) ([Ferroin](https://github.com/Ferroin))
- Ensure we only enable jessie-backports for Debian 8 \(jessie\) once [\#8593](https://github.com/netdata/netdata/pull/8593) ([prologic](https://github.com/prologic))
- Fix Debian 8 \(jessie\) support [\#8590](https://github.com/netdata/netdata/pull/8590) ([prologic](https://github.com/prologic))
- Read configuration when section is open [\#8588](https://github.com/netdata/netdata/pull/8588) ([thiagoftsm](https://github.com/thiagoftsm))
- Fix Coverity Defect CID-349684 [\#8586](https://github.com/netdata/netdata/pull/8586) ([thiagoftsm](https://github.com/thiagoftsm))
- Coverity scan [\#8579](https://github.com/netdata/netdata/pull/8579) ([amoss](https://github.com/amoss))
- Fix broken Fedora 30/31 RPM builds [\#8572](https://github.com/netdata/netdata/pull/8572) ([prologic](https://github.com/prologic))
- Fix regressions in cloud functionality \(build, CI, claiming\) [\#8568](https://github.com/netdata/netdata/pull/8568) ([underhood](https://github.com/underhood))
- Fix compiler warnings in the claiming code [\#8567](https://github.com/netdata/netdata/pull/8567) ([vlvkobal](https://github.com/vlvkobal))
- Added logic to bail early on LWS build if cmake is not present. [\#8559](https://github.com/netdata/netdata/pull/8559) ([Ferroin](https://github.com/Ferroin))
- Add netdata.service.\* to .gitignore [\#8556](https://github.com/netdata/netdata/pull/8556) ([vlvkobal](https://github.com/vlvkobal))
- Fix broken pipe ignoring in apps plugin [\#8554](https://github.com/netdata/netdata/pull/8554) ([vlvkobal](https://github.com/vlvkobal))
- dashboard v0.4.10 [\#8553](https://github.com/netdata/netdata/pull/8553) ([jacekkolasa](https://github.com/jacekkolasa))
- Update README.md [\#8552](https://github.com/netdata/netdata/pull/8552) ([bceylan](https://github.com/bceylan))
- github/workflow: remove duplicate key \(`line-length`\) from the yamlli… [\#8551](https://github.com/netdata/netdata/pull/8551) ([ilyam8](https://github.com/ilyam8))
- apache: fix `bytespersec` chart context [\#8550](https://github.com/netdata/netdata/pull/8550) ([ilyam8](https://github.com/ilyam8))
- Add missing override for Ubuntu eoan [\#8547](https://github.com/netdata/netdata/pull/8547) ([prologic](https://github.com/prologic))
- Switching over to soft feature flag [\#8545](https://github.com/netdata/netdata/pull/8545) ([amoss](https://github.com/amoss))
- github/workflow:  increase yamllint line length 80=\>120 [\#8542](https://github.com/netdata/netdata/pull/8542) ([ilyam8](https://github.com/ilyam8))
- github/workflow: add python.d configuration files to the yaml-files [\#8541](https://github.com/netdata/netdata/pull/8541) ([ilyam8](https://github.com/ilyam8))
- Write the failure reason during ACLK challenge / response [\#8538](https://github.com/netdata/netdata/pull/8538) ([stelfrag](https://github.com/stelfrag))
- fix minimist vulnerability [\#8537](https://github.com/netdata/netdata/pull/8537) ([jacekkolasa](https://github.com/jacekkolasa))
- charts.d.plugin: add keepalive to global\_update [\#8529](https://github.com/netdata/netdata/pull/8529) ([ilyam8](https://github.com/ilyam8))
- github/workflow: add ACLK to the labeler config [\#8521](https://github.com/netdata/netdata/pull/8521) ([ilyam8](https://github.com/ilyam8))
- The 4th flag [\#8519](https://github.com/netdata/netdata/pull/8519) ([amoss](https://github.com/amoss))
- Claiming issues [\#8516](https://github.com/netdata/netdata/pull/8516) ([amoss](https://github.com/amoss))
- Remove stackscale demo link and clean up page [\#8509](https://github.com/netdata/netdata/pull/8509) ([joelhans](https://github.com/joelhans))
- Fix auto updates for static installs \(kickstart\_static64.sh\) [\#8507](https://github.com/netdata/netdata/pull/8507) ([prologic](https://github.com/prologic))
- Extend TLS Support [\#8505](https://github.com/netdata/netdata/pull/8505) ([thiagoftsm](https://github.com/thiagoftsm))
- Adds install-fake-charts.d.sh to gitignore [\#8502](https://github.com/netdata/netdata/pull/8502) ([underhood](https://github.com/underhood))
- Cleans up cloud config files \[agent\_cloud\_link\] -\> \[cloud\] [\#8501](https://github.com/netdata/netdata/pull/8501) ([underhood](https://github.com/underhood))
- Enhanced ACLK header payload to include timestamp-offset-usec [\#8499](https://github.com/netdata/netdata/pull/8499) ([stelfrag](https://github.com/stelfrag))
- Improved ACLK  [\#8498](https://github.com/netdata/netdata/pull/8498) ([stelfrag](https://github.com/stelfrag))
- Fix openSUSE 15.1 RPM Package Buidls [\#8494](https://github.com/netdata/netdata/pull/8494) ([prologic](https://github.com/prologic))
- python.d/SimpleService: fix module name [\#8492](https://github.com/netdata/netdata/pull/8492) ([ilyam8](https://github.com/ilyam8))
- Fix install-required-packages script to self-update apt [\#8491](https://github.com/netdata/netdata/pull/8491) ([prologic](https://github.com/prologic))
- Relaxes SSL checks for testing [\#8489](https://github.com/netdata/netdata/pull/8489) ([underhood](https://github.com/underhood))
- packaging/docker: add --build-arg CFLAGS support [\#8485](https://github.com/netdata/netdata/pull/8485) ([nicolasparada](https://github.com/nicolasparada))
- installer: update go.d.plugin version to v0.18.0 [\#8477](https://github.com/netdata/netdata/pull/8477) ([ilyam8](https://github.com/ilyam8))
- Installer creates claim.d but is run as root, patch to correct ownership [\#8475](https://github.com/netdata/netdata/pull/8475) ([amoss](https://github.com/amoss))
- python.d.plugin: add prefix to the module name during loading source file [\#8474](https://github.com/netdata/netdata/pull/8474) ([ilyam8](https://github.com/ilyam8))
- Added Docker build arg to pass extra options to installer. [\#8472](https://github.com/netdata/netdata/pull/8472) ([Ferroin](https://github.com/Ferroin))
- Make mosq and LWS lib build fails more prominent [\#8470](https://github.com/netdata/netdata/pull/8470) ([underhood](https://github.com/underhood))
- Fix our Debian/Ubuntu packages to actually package the SystemD Unit files we expect. [\#8468](https://github.com/netdata/netdata/pull/8468) ([prologic](https://github.com/prologic))
- Adding the claiming script to the multi-stage whitelist [\#8465](https://github.com/netdata/netdata/pull/8465) ([amoss](https://github.com/amoss))
- Memory leak with labels on stream [\#8460](https://github.com/netdata/netdata/pull/8460) ([thiagoftsm](https://github.com/thiagoftsm))
- Report ACLK Connection Failure [\#8456](https://github.com/netdata/netdata/pull/8456) ([underhood](https://github.com/underhood))
- Fix syntax error in claiming script. [\#8452](https://github.com/netdata/netdata/pull/8452) ([mfundul](https://github.com/mfundul))
- Improve installer output re newlines [\#8447](https://github.com/netdata/netdata/pull/8447) ([prologic](https://github.com/prologic))
- Fix erroneous \n printed in uninstaller [\#8446](https://github.com/netdata/netdata/pull/8446) ([prologic](https://github.com/prologic))
- Fixes support for uninstalling the eBPF collector in the uninstaller and fixes a minor bug [\#8444](https://github.com/netdata/netdata/pull/8444) ([prologic](https://github.com/prologic))
- Fix the ACLK installation with the installer switch [\#8443](https://github.com/netdata/netdata/pull/8443) ([amoss](https://github.com/amoss))
- Add high precision timer support for plugins such as idlejitter. [\#8441](https://github.com/netdata/netdata/pull/8441) ([mfundul](https://github.com/mfundul))
- health: add dns\_query module alarm [\#8434](https://github.com/netdata/netdata/pull/8434) ([ilyam8](https://github.com/ilyam8))
- Add the new cloud info in the info endpoint [\#8430](https://github.com/netdata/netdata/pull/8430) ([amoss](https://github.com/amoss))
- Report Why ACLK build failed [\#8429](https://github.com/netdata/netdata/pull/8429) ([underhood](https://github.com/underhood))
- Fake collector to provoke ACLK messages [\#8427](https://github.com/netdata/netdata/pull/8427) ([amoss](https://github.com/amoss))
- Fixed JSON parsing [\#8426](https://github.com/netdata/netdata/pull/8426) ([stelfrag](https://github.com/stelfrag))
- Fix flushing error threshold [\#8425](https://github.com/netdata/netdata/pull/8425) ([mfundul](https://github.com/mfundul))
- Fixed response payload to match the new specification [\#8420](https://github.com/netdata/netdata/pull/8420) ([stelfrag](https://github.com/stelfrag))
- HTTP proxy support + some cleanup [\#8418](https://github.com/netdata/netdata/pull/8418) ([underhood](https://github.com/underhood))
- Add a MongoDB connector to the exporting engine [\#8416](https://github.com/netdata/netdata/pull/8416) ([vlvkobal](https://github.com/vlvkobal))
- Fix the lack of cleanup in the netdata updater [\#8414](https://github.com/netdata/netdata/pull/8414) ([prologic](https://github.com/prologic))
- Adds missing files to ACLK CMake build [\#8412](https://github.com/netdata/netdata/pull/8412) ([underhood](https://github.com/underhood))
- Fix Prometheus Remote Write build [\#8411](https://github.com/netdata/netdata/pull/8411) ([vlvkobal](https://github.com/vlvkobal))
- ACLK: Implemented Last Will and Testament [\#8410](https://github.com/netdata/netdata/pull/8410) ([stelfrag](https://github.com/stelfrag))
- Fix outstanding problems in claiming and add SOCKS5 support. [\#8406](https://github.com/netdata/netdata/pull/8406) ([amoss](https://github.com/amoss))
- Support SOCKS5 in ACLK Challenge/Response and rewrite with LWS [\#8404](https://github.com/netdata/netdata/pull/8404) ([underhood](https://github.com/underhood))
- ACLK: Fixes the type value for alarm updates [\#8403](https://github.com/netdata/netdata/pull/8403) ([stelfrag](https://github.com/stelfrag))
- Improved the performance of the ACLK. \(\#8391\) [\#8401](https://github.com/netdata/netdata/pull/8401) ([amoss](https://github.com/amoss))
- Perf fixes [\#8399](https://github.com/netdata/netdata/pull/8399) ([amoss](https://github.com/amoss))
- ACLK: Improved the agent "pop-corning" phase [\#8398](https://github.com/netdata/netdata/pull/8398) ([stelfrag](https://github.com/stelfrag))
- Fix broken dependencies for Ubuntu 19.10 \(eoan\) [\#8397](https://github.com/netdata/netdata/pull/8397) ([prologic](https://github.com/prologic))
- Update the update instructions with per-method details [\#8394](https://github.com/netdata/netdata/pull/8394) ([joelhans](https://github.com/joelhans))
- Fix coverity scan [\#8388](https://github.com/netdata/netdata/pull/8388) ([prologic](https://github.com/prologic))
- Add Patti's dashboard video to docs [\#8385](https://github.com/netdata/netdata/pull/8385) ([joelhans](https://github.com/joelhans))
- Added deferred error message handling to the installer. [\#8381](https://github.com/netdata/netdata/pull/8381) ([Ferroin](https://github.com/Ferroin))
- docs: fix go.d modules in the COLLECTORS.md [\#8380](https://github.com/netdata/netdata/pull/8380) ([ilyam8](https://github.com/ilyam8))
- Fix streaming scaling [\#8375](https://github.com/netdata/netdata/pull/8375) ([mfundul](https://github.com/mfundul))
- Change topics for ACLK [\#8374](https://github.com/netdata/netdata/pull/8374) ([amoss](https://github.com/amoss))
- Migrate make dist validation to GHA Workflows [\#8373](https://github.com/netdata/netdata/pull/8373) ([prologic](https://github.com/prologic))
- Add proper parsing/stripping of comments around docs frontmatter [\#8372](https://github.com/netdata/netdata/pull/8372) ([joelhans](https://github.com/joelhans))
- Format of commit messages [\#8365](https://github.com/netdata/netdata/pull/8365) ([amoss](https://github.com/amoss))
- new version of godplugin and pulsar alarms, dashboard info [\#8364](https://github.com/netdata/netdata/pull/8364) ([ilyam8](https://github.com/ilyam8))
- Switched to the new React dashboard code as the default dashboard. [\#8363](https://github.com/netdata/netdata/pull/8363) ([Ferroin](https://github.com/Ferroin))
- Fix MDX parsing in installation guide [\#8362](https://github.com/netdata/netdata/pull/8362) ([joelhans](https://github.com/joelhans))
- ebpf plugin info typo fix  [\#8360](https://github.com/netdata/netdata/pull/8360) ([ilyam8](https://github.com/ilyam8))
- Improve ACLK according to results of the smoke-test. [\#8358](https://github.com/netdata/netdata/pull/8358) ([amoss](https://github.com/amoss))
- Improve Pull Request template to have a shorter testing section with enhanced instructions [\#8357](https://github.com/netdata/netdata/pull/8357) ([prologic](https://github.com/prologic))
- Add packaging/bundle-lws.sh to dist\_noinst\_DATA \(was missed\) [\#8356](https://github.com/netdata/netdata/pull/8356) ([prologic](https://github.com/prologic))
- Remove possible erroneous blank line causing Travis to fail possibly and default to magical behaviour [\#8355](https://github.com/netdata/netdata/pull/8355) ([prologic](https://github.com/prologic))
- Bulk add frontmatter to all documentation [\#8354](https://github.com/netdata/netdata/pull/8354) ([joelhans](https://github.com/joelhans))
- Update paragraph on install-required-packages [\#8347](https://github.com/netdata/netdata/pull/8347) ([prologic](https://github.com/prologic))
- Fix cosmetic error checking for CentOS 8 version in install-required-packages [\#8339](https://github.com/netdata/netdata/pull/8339) ([prologic](https://github.com/prologic))
- Fixed typo [\#8335](https://github.com/netdata/netdata/pull/8335) ([peroxy](https://github.com/peroxy))
- Fixed dependency names for Arch Linux. [\#8334](https://github.com/netdata/netdata/pull/8334) ([Ferroin](https://github.com/Ferroin))
- Correct a typo in .travis/README.md [\#8333](https://github.com/netdata/netdata/pull/8333) ([felixonmars](https://github.com/felixonmars))
- Rename the review workflow and be consistent about workflow and job names. [\#8332](https://github.com/netdata/netdata/pull/8332) ([prologic](https://github.com/prologic))
- Migrate Tests from Travis CI to Github Workflows [\#8331](https://github.com/netdata/netdata/pull/8331) ([prologic](https://github.com/prologic))
- Migrate Travis based checks to Github Actions [\#8329](https://github.com/netdata/netdata/pull/8329) ([prologic](https://github.com/prologic))
- Add retries for more Travis transient failures [\#8327](https://github.com/netdata/netdata/pull/8327) ([prologic](https://github.com/prologic))
- Removed extra printed `\n` [\#8326](https://github.com/netdata/netdata/pull/8326) ([Jiab77](https://github.com/Jiab77))
- Removed extra printed `\n` [\#8325](https://github.com/netdata/netdata/pull/8325) ([Jiab77](https://github.com/Jiab77))
- Removed extra printed `\n` [\#8324](https://github.com/netdata/netdata/pull/8324) ([Jiab77](https://github.com/Jiab77))
- Migrate coverity-scan to Github Actions [\#8321](https://github.com/netdata/netdata/pull/8321) ([prologic](https://github.com/prologic))
- Fix links in packaging/installer to work on GitHub and docs [\#8319](https://github.com/netdata/netdata/pull/8319) ([joelhans](https://github.com/joelhans))
- Switched to using Python 3 by default instead of Python 2. [\#8318](https://github.com/netdata/netdata/pull/8318) ([Ferroin](https://github.com/Ferroin))
- Added various fixes and improvements to the installers. [\#8315](https://github.com/netdata/netdata/pull/8315) ([Ferroin](https://github.com/Ferroin))
- Fixed missing folders in `/var/` by creating them during postinst [\#8314](https://github.com/netdata/netdata/pull/8314) ([SamK](https://github.com/SamK))
- Add standards for abbreviations/acronyms to docs style guide [\#8313](https://github.com/netdata/netdata/pull/8313) ([joelhans](https://github.com/joelhans))
- Revert "Fixed Source0 URL in RPM spec \(\#7794\)" [\#8305](https://github.com/netdata/netdata/pull/8305) ([prologic](https://github.com/prologic))
- Add a Prometheus Remote Write connector to the exporting engine [\#8292](https://github.com/netdata/netdata/pull/8292) ([vlvkobal](https://github.com/vlvkobal))
- Fix dependencies for Debian Jessie. [\#8290](https://github.com/netdata/netdata/pull/8290) ([Ferroin](https://github.com/Ferroin))
- ACLK  cmake fixes [\#8280](https://github.com/netdata/netdata/pull/8280) ([underhood](https://github.com/underhood))
- Added code to bundle LWS in binary packages. [\#8255](https://github.com/netdata/netdata/pull/8255) ([Ferroin](https://github.com/Ferroin))
- Remove mention saying that .deb packages are experimental [\#8250](https://github.com/netdata/netdata/pull/8250) ([toadjaune](https://github.com/toadjaune))
- Enconde slave fields [\#8216](https://github.com/netdata/netdata/pull/8216) ([thiagoftsm](https://github.com/thiagoftsm))
- Remove the confusion around the multiple Dockerfile\(s\) we have [\#8214](https://github.com/netdata/netdata/pull/8214) ([prologic](https://github.com/prologic))
- Remvoed the use of clang-format that does not actually block PRs or surface anything to developers \#8188 [\#8196](https://github.com/netdata/netdata/pull/8196) ([prologic](https://github.com/prologic))
- Cleans up CODEOWNERS for the build system itself \(not to be confused with packaging\) [\#8098](https://github.com/netdata/netdata/pull/8098) ([prologic](https://github.com/prologic))

## [v1.20.0](https://github.com/netdata/netdata/tree/v1.20.0) (2020-02-21)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.19.0...v1.20.0)

**Merged pull requests:**

- Ebpf coverity [\#8135](https://github.com/netdata/netdata/pull/8135) ([thiagoftsm](https://github.com/thiagoftsm))
- Small ebpf fixes [\#8133](https://github.com/netdata/netdata/pull/8133) ([thiagoftsm](https://github.com/thiagoftsm))
- Update eBPF docs with better install/enable instructions [\#8125](https://github.com/netdata/netdata/pull/8125) ([joelhans](https://github.com/joelhans))
- Fixes NetData installer on \*BSD systems post libmosquitto / eBPF [\#8121](https://github.com/netdata/netdata/pull/8121) ([prologic](https://github.com/prologic))
- Fix nightly RPM builds. [\#8109](https://github.com/netdata/netdata/pull/8109) ([Ferroin](https://github.com/Ferroin))
- Add Patti to docs and .md codeowners [\#8092](https://github.com/netdata/netdata/pull/8092) ([joelhans](https://github.com/joelhans))
- Docs: Fix Node and Bash collector module titles [\#8086](https://github.com/netdata/netdata/pull/8086) ([joelhans](https://github.com/joelhans))
- Add handling of libmosquitto to binary packages. [\#8085](https://github.com/netdata/netdata/pull/8085) ([Ferroin](https://github.com/Ferroin))
- Fixes text if current version is \>= latest version and already installed [\#8078](https://github.com/netdata/netdata/pull/8078) ([prologic](https://github.com/prologic))
- Revert "Added hack to sha256sums.txt to force users of NetData on v1.19.0-483 with a broken updater to update to latest" [\#8076](https://github.com/netdata/netdata/pull/8076) ([prologic](https://github.com/prologic))
- Integrates the eBPF Kernel Collector with the NetData Installer [\#8075](https://github.com/netdata/netdata/pull/8075) ([prologic](https://github.com/prologic))
- updates for issue 8006 [\#8074](https://github.com/netdata/netdata/pull/8074) ([shortpatti](https://github.com/shortpatti))
- github/actions: update labeler config and bump version [\#8071](https://github.com/netdata/netdata/pull/8071) ([ilyam8](https://github.com/ilyam8))
- Adding testing section to the PR template. [\#8068](https://github.com/netdata/netdata/pull/8068) ([amoss](https://github.com/amoss))
- Update to new release of libmosquitto fork. [\#8067](https://github.com/netdata/netdata/pull/8067) ([Ferroin](https://github.com/Ferroin))
- Make temporary directories relative to $TEMPDIR. [\#8066](https://github.com/netdata/netdata/pull/8066) ([Ferroin](https://github.com/Ferroin))
- collectors: apps.plugin: apps\_groups: create 'dns' group. [\#8058](https://github.com/netdata/netdata/pull/8058) ([k0ste](https://github.com/k0ste))
- Added hack to sha256sums.txt to force users of NetData on v1.19.0-483 with a broken updater to update to latest [\#8057](https://github.com/netdata/netdata/pull/8057) ([prologic](https://github.com/prologic))
- Add config instructions to each collector module README  [\#8052](https://github.com/netdata/netdata/pull/8052) ([joelhans](https://github.com/joelhans))
- Add required build dep for ACLK dependencies to Dockerfile. [\#8047](https://github.com/netdata/netdata/pull/8047) ([Ferroin](https://github.com/Ferroin))
- github/workflow: change labeler [\#8032](https://github.com/netdata/netdata/pull/8032) ([ilyam8](https://github.com/ilyam8))
- Docs: Promote DB engine/long-term metrics storage more heavily [\#8031](https://github.com/netdata/netdata/pull/8031) ([joelhans](https://github.com/joelhans))
- Check if ACLK can be built [\#8030](https://github.com/netdata/netdata/pull/8030) ([underhood](https://github.com/underhood))
- Fixes conditional for NetData Updater when checking for new updates [\#8028](https://github.com/netdata/netdata/pull/8028) ([gmeszaros](https://github.com/gmeszaros))
- Add support for libmosquitto to netdata-installer.sh for ACLK support. [\#8025](https://github.com/netdata/netdata/pull/8025) ([Ferroin](https://github.com/Ferroin))
- Fix: Documentation states in one place default is dbengine and in another save is default [\#8017](https://github.com/netdata/netdata/pull/8017) ([underhood](https://github.com/underhood))
- invalid literal for float\(\): NN.NNt [\#8013](https://github.com/netdata/netdata/pull/8013) ([blaines](https://github.com/blaines))
- Fix missing variables on stream [\#8011](https://github.com/netdata/netdata/pull/8011) ([thiagoftsm](https://github.com/thiagoftsm))
- /docs/generator: use h1 heading as page title for collectors pages [\#8009](https://github.com/netdata/netdata/pull/8009) ([ilyam8](https://github.com/ilyam8))
- /docs/generator: build docs only for go.d itself and its modules [\#8005](https://github.com/netdata/netdata/pull/8005) ([ilyam8](https://github.com/ilyam8))
- Update database servers group in apps\_groups.conf [\#8004](https://github.com/netdata/netdata/pull/8004) ([DefauIt](https://github.com/DefauIt))
- /collectors/charts.d.plugin: fix `os\_id` detection in `run` [\#8002](https://github.com/netdata/netdata/pull/8002) ([ilyam8](https://github.com/ilyam8))
- /docs/generator: add an option to use last dir name for page name  [\#7997](https://github.com/netdata/netdata/pull/7997) ([ilyam8](https://github.com/ilyam8))
- Refactor collectors documentation [\#7996](https://github.com/netdata/netdata/pull/7996) ([joelhans](https://github.com/joelhans))
- Docs: Change sed to allow parentheses in heading links [\#7995](https://github.com/netdata/netdata/pull/7995) ([joelhans](https://github.com/joelhans))
- Fix CentOS 7 RPM build failures. [\#7993](https://github.com/netdata/netdata/pull/7993) ([Ferroin](https://github.com/Ferroin))
- Don't pretend we're building i386 RPM packages when we aren't. [\#7989](https://github.com/netdata/netdata/pull/7989) ([Ferroin](https://github.com/Ferroin))
- initial MQTT over Secure Websockets support for ACLK [\#7988](https://github.com/netdata/netdata/pull/7988) ([underhood](https://github.com/underhood))
- Fix permissions issues caused by 986bc2052. [\#7984](https://github.com/netdata/netdata/pull/7984) ([Ferroin](https://github.com/Ferroin))
- collectors: apps.plugin: apps\_groups: update ceph & samba collections. [\#7982](https://github.com/netdata/netdata/pull/7982) ([k0ste](https://github.com/k0ste))
- /collectors/python.d.plugin/third\_party: patch monotonic synology6 [\#7980](https://github.com/netdata/netdata/pull/7980) ([ilyam8](https://github.com/ilyam8))
- eBPF process plugin [\#7979](https://github.com/netdata/netdata/pull/7979) ([thiagoftsm](https://github.com/thiagoftsm))
- Fix typos in docs/step-by-step/step-06.md [\#7978](https://github.com/netdata/netdata/pull/7978) ([joelhans](https://github.com/joelhans))
- /collectors/charts.d.plugin: format modules [\#7973](https://github.com/netdata/netdata/pull/7973) ([ilyam8](https://github.com/ilyam8))
- Fixes static builds and nightlies [\#7971](https://github.com/netdata/netdata/pull/7971) ([prologic](https://github.com/prologic))
- Adds GHA Workflow to actually Build the Agent across all the OS/Distro\(s\) we support today [\#7969](https://github.com/netdata/netdata/pull/7969) ([prologic](https://github.com/prologic))
- Indicate FreeIPMI supported in Docker image [\#7964](https://github.com/netdata/netdata/pull/7964) ([lassebm](https://github.com/lassebm))
- CODEOWNERS: change collectors/charts.d.plugin/ owners [\#7963](https://github.com/netdata/netdata/pull/7963) ([ilyam8](https://github.com/ilyam8))
- /collectors/charts.d.plugin: remove deprecated modules [\#7962](https://github.com/netdata/netdata/pull/7962) ([ilyam8](https://github.com/ilyam8))
- Fix cmake build error [\#7960](https://github.com/netdata/netdata/pull/7960) ([mfundul](https://github.com/mfundul))
- /pythond.d/UrlService.py: add body [\#7956](https://github.com/netdata/netdata/pull/7956) ([ilyam8](https://github.com/ilyam8))
- netdata-updater.sh: explicitly return 0 from update [\#7955](https://github.com/netdata/netdata/pull/7955) ([ilyam8](https://github.com/ilyam8))
- update httpcheck.conf [\#7952](https://github.com/netdata/netdata/pull/7952) ([yasharne](https://github.com/yasharne))
- Fix wrong code fragments in signing in [\#7950](https://github.com/netdata/netdata/pull/7950) ([cakrit](https://github.com/cakrit))
- Adds a GHA workflow to test install-required-packages [\#7949](https://github.com/netdata/netdata/pull/7949) ([prologic](https://github.com/prologic))
- install go.d.plugin only if there is new version [\#7946](https://github.com/netdata/netdata/pull/7946) ([ilyam8](https://github.com/ilyam8))
- Fix variety of linter errors across docs [\#7944](https://github.com/netdata/netdata/pull/7944) ([joelhans](https://github.com/joelhans))
- Adds support for only performing updates if there is a newer version [\#7939](https://github.com/netdata/netdata/pull/7939) ([prologic](https://github.com/prologic))
- Fixes error/warnings found by shellcheck for ./packaging/installer/netdata-updater.sh [\#7938](https://github.com/netdata/netdata/pull/7938) ([prologic](https://github.com/prologic))
- Re-formatts ./packaging/installer/netdata-updater.sh with shfmt -w -i 2 -ci -sr [\#7937](https://github.com/netdata/netdata/pull/7937) ([prologic](https://github.com/prologic))
- Fixes a typo in ./packaging/installer/functions.sh with wrong message for updater cron script [\#7934](https://github.com/netdata/netdata/pull/7934) ([prologic](https://github.com/prologic))
- Fixes support for editing configuration when NetData is installed to a symlinked /opt [\#7933](https://github.com/netdata/netdata/pull/7933) ([prologic](https://github.com/prologic))
- Re-formats ./system/edit-config.in with shfmt -w -i 2 -ci -sr [\#7932](https://github.com/netdata/netdata/pull/7932) ([prologic](https://github.com/prologic))
- Fixes a bug in DO\_NOT\_TRACK expression [\#7929](https://github.com/netdata/netdata/pull/7929) ([prologic](https://github.com/prologic))

## [v1.19.0](https://github.com/netdata/netdata/tree/v1.19.0) (2019-11-27)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.18.1...v1.19.0)

## [v1.18.1](https://github.com/netdata/netdata/tree/v1.18.1) (2019-10-18)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.18.0...v1.18.1)

## [v1.18.0](https://github.com/netdata/netdata/tree/v1.18.0) (2019-10-10)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.17.1...v1.18.0)

## [v1.17.1](https://github.com/netdata/netdata/tree/v1.17.1) (2019-09-12)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.17.0...v1.17.1)

## [v1.17.0](https://github.com/netdata/netdata/tree/v1.17.0) (2019-09-03)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.16.1...v1.17.0)

## [v1.16.1](https://github.com/netdata/netdata/tree/v1.16.1) (2019-07-31)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.16.0...v1.16.1)

## [v1.16.0](https://github.com/netdata/netdata/tree/v1.16.0) (2019-07-08)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.15.0...v1.16.0)

## [v1.15.0](https://github.com/netdata/netdata/tree/v1.15.0) (2019-05-22)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.14.0...v1.15.0)

## [v1.14.0](https://github.com/netdata/netdata/tree/v1.14.0) (2019-04-18)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.14.0-rc0...v1.14.0)

## [v1.14.0-rc0](https://github.com/netdata/netdata/tree/v1.14.0-rc0) (2019-03-30)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.13.0...v1.14.0-rc0)

## [v1.13.0](https://github.com/netdata/netdata/tree/v1.13.0) (2019-03-14)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.12.2...v1.13.0)

## [v1.12.2](https://github.com/netdata/netdata/tree/v1.12.2) (2019-02-28)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.12.1...v1.12.2)

## [v1.12.1](https://github.com/netdata/netdata/tree/v1.12.1) (2019-02-21)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.12.0...v1.12.1)

## [v1.12.0](https://github.com/netdata/netdata/tree/v1.12.0) (2019-02-06)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.12.0-rc3...v1.12.0)

## [v1.12.0-rc3](https://github.com/netdata/netdata/tree/v1.12.0-rc3) (2019-01-17)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.12.0-rc2...v1.12.0-rc3)

## [v1.12.0-rc2](https://github.com/netdata/netdata/tree/v1.12.0-rc2) (2019-01-03)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.12.0-rc1...v1.12.0-rc2)

## [v1.12.0-rc1](https://github.com/netdata/netdata/tree/v1.12.0-rc1) (2018-12-19)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.12.0-rc0...v1.12.0-rc1)

## [v1.12.0-rc0](https://github.com/netdata/netdata/tree/v1.12.0-rc0) (2018-12-06)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.11.1...v1.12.0-rc0)

## [v1.11.1](https://github.com/netdata/netdata/tree/v1.11.1) (2018-11-22)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.11.0...v1.11.1)

## [v1.11.0](https://github.com/netdata/netdata/tree/v1.11.0) (2018-11-02)

[Full Changelog](https://github.com/netdata/netdata/compare/v1.10.0...v1.11.0)



\* *This Changelog was automatically generated by [github_changelog_generator](https://github.com/github-changelog-generator/github-changelog-generator)*
